DeviseAuthentication::InvitationsController.class_eval do
    private

    # User accepted the invitation. Thus, he needs to be added to the organisation of the invitee.
    def accept_resource
        invited_user = super

        # Find invitee and add this new user to his organisation.
        invitee = invited_user.invited_by
        invitee_organisation = invitee.member_ships.where(is_primary: true).first.organisation
        new_membership = RechnMgmUserArea::MemberShip.new(user_id: invited_user.id, organisation_id: invitee_organisation.id)
        if new_membership.save
            Rails.logger.info("User #{invited_user.id} successfully added to organisation #{invitee_organisation.id}")
        else
            Rails.logger.error("User #{invited_user.id} could not be added to organisation #{invitee_organisation.id}: #{new_membership.errors}")
        end

        invited_user
    end
end
